<DropdownList
  class="dropdown-authenticated user-drop-down"
  ...attributes
  @text={{this.user.profileData.fullName}}
  @icon={{if this.user.isAdmin "user-tie"}}
  @color={{@color}}
>
  <LinkTo @route="manage.dashboards.index" class="dropdown-item">{{t
      "dashboard"
    }}</LinkTo>

  {{#if this.user.id}}
    <LinkTo @route="browse.profiles.profile" @model={{this.user.id}} class="dropdown-item">{{t
        "profile"
      }}</LinkTo>
  {{/if}}

  <LinkTo @route="preferences.profile" class="dropdown-item">{{t "preferences"}}</LinkTo>

  {{#if this.user.isAdmin}}
    <LinkTo @route="admin.appearance" class="dropdown-item btn-preferences">{{t
        "settings"
      }}</LinkTo>
  {{/if}}

  <div class="dropdown-divider"></div>
  <a
    href="#"
    class="dropdown-item btn-sign-out text-danger"
    {{on "click" this.handleSignOut}}
  >{{t "sign out"}}</a>
</DropdownList>